Bug 23481 - 'wait for klogd to hit syslog' doesn't (minilog)
'wait for klogd to hit syslog' doesn't (minilog)
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: initscripts (Show other bugs)
1.0
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-06 06:55 EST by Andrew Bartlett
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-06 06:55:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bartlett 2001-01-06 06:55:13 EST
I was looking into why my syslog messages where all jumbled up when my
computer starts, and I noticed that the 'sleep(1)' in minilog.c designed to
let klogd get its entries in first doesn't seem to to the job anymore.  

The rc.syslog messages still get in before the kernel.  (Maybe klogd slowed
down?).  Just thought I would let you know, as it works quite nicely in
6.2, and now it has a habit of getting a little mixed up.  All three souces
of message now get all mixed up - well, its not that bad, but it does
happen.  (see bug 23480)

My system is RedHat 7 with many (including sysklogd, initscripts) RawHide
packages and a 2.4.0-ac1 kernel.
Comment 1 Bill Nottingham 2001-01-29 16:14:48 EST
Hm, it's really just a timing issue. Not something we can truly
enforce ordering on (and, in any case, the kernel messages
and the syslog messages are intermingled in timing, so unless
we start having the kernel timestamp them and have syslogd
sort them they won't be in order.)

I'll change it to sleep(2), but that may not necessarily help.
Comment 2 Andrew Bartlett 2001-02-07 06:15:12 EST
Didn't particulary help, but thanks for your efforts.

Another idea:  Could rc.sysint dump dmesg into minilog, therefore getting it to
the top of the pile?  Anyway, there are much more important things to worry
about than the prettyness (or otherwise) of logfiles.

Note You need to log in before you can comment on or make changes to this bug.